Bug 1126526 - [abrt] Thunar: magazine_chain_pop_head(): thunar killed by SIGSEGV
Summary: [abrt] Thunar: magazine_chain_pop_head(): thunar killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: Thunar
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3956262da338d38e74c05680e42...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 16:02 UTC by steinach2810
Modified: 2015-06-30 01:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:06:40 UTC


Attachments (Terms of Use)
File: backtrace (23.80 KB, text/plain)
2014-08-04 16:02 UTC, steinach2810
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-04 16:02 UTC, steinach2810
no flags Details
File: core_backtrace (6.89 KB, text/plain)
2014-08-04 16:02 UTC, steinach2810
no flags Details
File: dso_list (8.60 KB, text/plain)
2014-08-04 16:02 UTC, steinach2810
no flags Details
File: environ (1.34 KB, text/plain)
2014-08-04 16:02 UTC, steinach2810
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-04 16:02 UTC, steinach2810
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-04 16:02 UTC, steinach2810
no flags Details
File: maps (44.58 KB, text/plain)
2014-08-04 16:02 UTC, steinach2810
no flags Details
File: open_fds (2.90 KB, text/plain)
2014-08-04 16:02 UTC, steinach2810
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2014-08-04 16:02 UTC, steinach2810
no flags Details
File: var_log_messages (198 bytes, text/plain)
2014-08-04 16:02 UTC, steinach2810
no flags Details

Description steinach2810 2014-08-04 16:02:06 UTC
Version-Release number of selected component:
Thunar-1.6.3-2.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/Thunar /home/odorf
crash_function: magazine_chain_pop_head
executable:     /usr/bin/thunar
kernel:         3.15.7-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 magazine_chain_pop_head at gslice.c:545
 #1 magazine_chain_prepare_fields at gslice.c:625
 #2 magazine_cache_push_magazine at gslice.c:697
 #3 thread_memory_magazine2_unload at gslice.c:815
 #4 g_slice_free1 at gslice.c:1106
 #5 g_source_unref_internal at gmain.c:2010
 #10 gtk_main at gtkmain.c:1257

Comment 1 steinach2810 2014-08-04 16:02:11 UTC
Created attachment 923936 [details]
File: backtrace

Comment 2 steinach2810 2014-08-04 16:02:13 UTC
Created attachment 923937 [details]
File: cgroup

Comment 3 steinach2810 2014-08-04 16:02:15 UTC
Created attachment 923938 [details]
File: core_backtrace

Comment 4 steinach2810 2014-08-04 16:02:18 UTC
Created attachment 923939 [details]
File: dso_list

Comment 5 steinach2810 2014-08-04 16:02:19 UTC
Created attachment 923940 [details]
File: environ

Comment 6 steinach2810 2014-08-04 16:02:21 UTC
Created attachment 923941 [details]
File: exploitable

Comment 7 steinach2810 2014-08-04 16:02:22 UTC
Created attachment 923942 [details]
File: limits

Comment 8 steinach2810 2014-08-04 16:02:26 UTC
Created attachment 923943 [details]
File: maps

Comment 9 steinach2810 2014-08-04 16:02:27 UTC
Created attachment 923944 [details]
File: open_fds

Comment 10 steinach2810 2014-08-04 16:02:29 UTC
Created attachment 923945 [details]
File: proc_pid_status

Comment 11 steinach2810 2014-08-04 16:02:31 UTC
Created attachment 923946 [details]
File: var_log_messages

Comment 12 Kevin Fenzi 2014-08-06 12:21:25 UTC
What were you doing when this happened?

Can you duplicate the crash?

Comment 13 Fedora End Of Life 2015-05-29 12:33:40 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-30 01:06:40 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.